<?php
if (!isset($_SESSION['nazwa'])) {
    header('Location: login.php');
    exit();
  }
?>

<div id="tab_tlo">
  <h1 id="h3_tytul">Informacje<small> dyżury/regulaminy/statystyki...</small></h1>  
  <div id="taby3">
   <a class="tab_link3 tab_link_wybrany" title="#tab1" href="#">Dyżury asystentów</a>
     <a class="tab_link3" title="#tab2" href="#">Regulaminy</a>
     <a class="tab_link3" title="#tab3" href="#">Statystyki</a>
   <a class="tab_link3" title="#tab4" href="#">Informacje o Platformie</a>
 
   <div class="clear">
     </div>
    <div id="tab1" class="tab_text tab_wybrany">
      <div id="panel_info_user">
        <div id="box_signl">
        </div>
        <div id="box_signr">
        </div>
        <span style="font-size: 1.2em; color: #FF2">Dyżury asystentów</span><br />
        <p id="p_info" style="padding: 10px; color: #fef; font-size: 1.1em; text-align: center">Oficjalny czas działania platformy - 2017-08-01 / 2017-11-30 </p><br />
      <p id="p_info" style="font-size: 1em; padding: 10px 10px 15px 25px">Dyżury asystentów: <br />
      od poniedziałku do piątku w godz. od 18.00 do 21.00 <br />oraz w soboty w godz. od 16.00 do 19.00 </p><br />
      </div>  
    </div>  
    <div id="tab2" class="tab_text">
      <div id="panel_info_user">
        <div id="box_signl">
        </div>
        <div id="box_signr">
        </div>
        <span style="font-size: 1.2em; color: #FF2">Zasady obowiązujące na platformie Wirtualny Asystent</span><br />
        <div id="p_info" style="margin: 10px auto; padding: 10px 20px">
        <p style="padding: 0; color: #fed; font-size: 1.1em; text-align: center">
        Zasady obowiązujące uczestnika</p>
        
        <p style="font-size: 1em; color: #FFD; text-align: left;">
        1. Każdy z uczestników zobowiązuje się do przestrzegania zasad strony Wirtualny Asystent.<br />
        2. W razie nieprzestrzegania zasad, administrator może usunąć użytkownika.<br />
        3. W grupie panuje miła i przyjacielska atmosfera.<br />
        4. Każda osoba jest ważna, wiec jeżeli masz kogoś skrytykować lub obrazić<br /> 
          &nbsp;&nbsp;&nbsp;&nbsp;- POWSTRZYMAJ SIĘ!!!<br />
          &nbsp;&nbsp;&nbsp;&nbsp;Nie krytykujemy nikogo, ewentualnie w sposób kulturalny i delikatny zwracamy uwagę.<br />
        5. Nie używamy obraźliwych i niecenzuralnych słów.<br />
        6. Nie poruszamy tematów religijnych, politycznych i z podtekstami seksualnymi.<br />
        7. Każdy pisze jak potrafi, ale staramy się pisać poprawnie ortograficznie, gramatycznie<br />
          &nbsp;&nbsp;&nbsp;&nbsp;i stylistycznie. Używamy polskich znaków. Ta strona służy również do tego, aby<br /> 
          &nbsp;&nbsp;&nbsp;&nbsp;uczyć się poprawnej pisowni.<br />
        8. Nie naruszamy prywatności innych użytkowników.

        </div>
        <div id="p_info" style="margin: 10px auto; padding: 10px 20px">
        <p style="padding: 0; color: #fed; font-size: 1.1em; text-align: center">
        Zasady obowiązujące wolontariusza</p>
        
        <p style="font-size: 1em; color: #FFD; text-align: left;">
        1. Każdy z wolontariuszy zobowiązuje się do przestrzegania zasad strony Wirtualny Asystent.<br />
        2. W razie nieprzestrzegania zasad, administrator może usunąć użytkownika.<br />
        3. W grupie panuje miła i przyjacielska atmosfera.<br />
        4. Każda osoba jest ważna, wiec jeżeli masz kogoś skrytykować lub obrazić<br /> 
          &nbsp;&nbsp;&nbsp;&nbsp;- POWSTRZYMAJ SIĘ!!!<br />
          &nbsp;&nbsp;&nbsp;&nbsp;Nie krytykujemy nikogo, ewentualnie w sposób kulturalny i delikatny zwracamy uwagę.<br />
        5. Nie używamy obraźliwych i niecenzuralnych słów.<br />
        6. Nie poruszamy tematów religijnych, politycznych i z podtekstami seksualnymi.<br />
        7. Piszemy  poprawnie ortograficznie, gramatycznie i stylistycznie. Używamy polskich znaków.<br />
        8. Nie naruszamy prywatności innych użytkowników.<br />
        9. Każdy z wolontariuszy zobowiązuje się do aktywnego uczestniczenia na stronie.<br />
        10. Wolontariusz powinien nawiązywać kontakt  ze wszystkimi uczestnikami strony.<br />
        11. Wolontariusz jest zobowiązany do dyskrecji.<br />
        12. Wolontariusz musi być osobą pełnoletnią.
        </div>
        </p>
      </div>
    </div>
    <div id="tab3" class="tab_text">
       
      <?php
  $id = $_SESSION['id'];
  $status = $_SESSION['status'];
  $lu = count($_SESSION['usersn']);
  $tstatus[0]='Uczestnik';
  $tstatus[1]='Wolontariusz';
  $tstatus[2]='Asystent';
  $tstatus[3]='Administrator';
  require_once('wiras_php/wa_baza/wa_polacz.php');
  $zapb1 = "SELECT users.status, count(blog_wpis.id_user) AS wpis, users.nazwa
      FROM blog_wpis LEFT JOIN users ON blog_wpis.id_user = users.id_user
            GROUP BY blog_wpis.id_user";
      
  $zapb2 = "SELECT users.status, count(blog_komentarz.id_user) AS komentarz, users.nazwa
      FROM blog_komentarz LEFT JOIN users ON blog_komentarz.id_user = users.id_user
            GROUP BY blog_komentarz.id_user";
  
  $zap1="SELECT users_session.id_user, users.id_user, users.status, count(users.status), users.nazwa
      FROM users_session LEFT JOIN users ON users_session.id_user = users.id_user
            GROUP BY users_session.id_user";
      
  $zap2="SELECT users_session.id_user, SUM(time_to_sec(timediff(last_time, log_time))) AS Czas, 
      users.id_user, users.status, users.nazwa
      FROM users_session LEFT JOIN users ON users_session.id_user = users.id_user
            GROUP BY users_session.id_user";
    
  $wynik_pobierz = mysqli_query($db, $zap1);
    $wynik = array();
    while ($wiersz = mysqli_fetch_row($wynik_pobierz)) 
      {
        $wynik[] = $wiersz;
      }
       
  echo '<style>';
    $strona = $_SESSION['strona'].'img/tla/pinezka1.png';
    echo '#box_signl, #box_signr { background: url('.$strona.');  }';
  echo '</style>';
  echo '<div id="content_info_user">';
    echo '<p style="font-size: 1.5em; color: #F82">Platforma Wirtualny Asystent - Statystyki</p>';
    echo '<div id="panel_info_user">';
      echo '<div id="box_signl">';
      echo '</div>';
      echo '<div id="box_signr">';
      echo '</div>';
    echo '<p style="font-size: 1.2em;">Liczba użytkowników platformy: '.$lu.'</p>';
    echo '<p style="font-size: 1em; color: #4F4">Nazwy użytkowników i status:</p>';
    $lr = count($wynik);
    $lwejsc=0;
    $ls_0 = 0;
    $ls_1 = 0;
    $ls_2 = 0;
    $ls_3 = 0;
    for ($i=0; $i<$lr; $i++) {
      $lwejsc+=$wynik[$i][3];
      if ($wynik[$i][2]==0) $ls_0+=$wynik[$i][3];
      if ($wynik[$i][2]==1) $ls_1+=$wynik[$i][3];
      if ($wynik[$i][2]==2) $ls_2+=$wynik[$i][3];
      if ($wynik[$i][2]==3) $ls_3+=$wynik[$i][3];
    }
    $p = '';
    for ($i=0; $i<$lu; $i++) {
      if ($i<($lu-1)) {
      $p=', &nbsp;&nbsp;&nbsp;'; } else $p='';
      echo '<span style="color: #ffc">'.$_SESSION['usersn'][$i].' - '.$tstatus[$_SESSION['userss'][$i]].$p.'</span>';
    }
    echo '</div>';
    
    echo '<div id="panel_info_user">';
      echo '<div id="box_signl">';
      echo '</div>';
      echo '<div id="box_signr">';
      echo '</div>';
    echo '<p style="font-size: 1.2em; color: #FF2">Liczba wejść na Platformę </p>';
    echo '<p style="font-size: 1em; color: #4F4">Liczba wszystkich wejść na Platformę: '.$lwejsc.'</p>';
    if ($status>1) {
      echo '<p style="font-size: 1em; color: #4F4">Liczba wejść wszystkich uczestników na Platformę: '.$ls_0.'</p>';
      echo '<span style="font-size: 1em; color: #4F4">Liczba wejść uczestnika na Platformę: </span>';
      $lp = 1;
      for ($i=0; $i<$lr; $i++) {
        if ($wynik[$i][2]==0) {
          echo '<span style="color: #ffc">('.$lp.') '.$wynik[$i][4].' - '.$wynik[$i][3].'&nbsp;&nbsp;&nbsp;&nbsp;</span>';
          $lp++;
        }
      }
    }

    if ($status>2) {
      echo '<br /><br /><p style="font-size: 1em; color: #4F4">Suma wejść Asystentów oraz Gości na Platformę: '.($ls_1+$ls_2).'</p>';
      echo '<span style="font-size: 1em; color: #4F4">Liczba wejść Asystenta oraz Gościa na Platformę: </span>';
      $lp = 1;
      for ($i=0; $i<$lr; $i++) {
        if ($wynik[$i][2]>0) {
          echo '<span style="color: #ffc">('.$lp.') '.$wynik[$i][4].' - '.$wynik[$i][3].'&nbsp;&nbsp;&nbsp;&nbsp;</span>';
          $lp++;
        }
      }
    }
    echo '</div>';
    //-----------------------------
    
    $wynik_pobierz = mysqli_query($db, $zap2);
    $wynik = array();
    while ($wiersz = mysqli_fetch_row($wynik_pobierz)) 
      {
        $wynik[] = $wiersz;
      }
      
    $lr=count($wynik);  
    $lczas=0;
    $ls_0 = 0;
    $ls_1 = 0;
    $ls_2 = 0;
    $ls_3 = 0;
    for ($i=0; $i<$lr; $i++) {
      $lczas+=$wynik[$i][1];
      if ($wynik[$i][3]==0) $ls_0+=$wynik[$i][1];
      if ($wynik[$i][3]==1) $ls_1+=$wynik[$i][1];
      if ($wynik[$i][3]==2) $ls_2+=$wynik[$i][1];
      if ($wynik[$i][3]==3) $ls_3+=$wynik[$i][1];
    }
    $tc = oblicz_czas($lczas);  //czas wszystkich wizyt
    echo '<div id="panel_info_user">';
      echo '<div id="box_signl">';
      echo '</div>';
      echo '<div id="box_signr">';
      echo '</div>';
      echo '<span style="font-size: 1.2em; color: #FF2">Czas wizyt na Platformie -</span><span style="font-size: 1em"> podany w formacie godziny : minuty : sekundy</span>';
    echo '<br /><br /><p style="font-size: 1em; color: #4F4">Czas wszystkich wizyt na Platformie: '.$tc.'</p>';
    if ($status>1) {
      $tcu = oblicz_czas($ls_0);  //czas wizyt uczestnikow
      echo '<p style="font-size: 1em; color: #4F4">Czas wszystkich wizyt uczestników na Platformie: '.$tcu.'</p>';
      echo '<span style="font-size: 1em; color: #4F4">Czas wizyt uczestnika na Platformie: </span>';
      $lp = 1;
      for ($i=0; $i<$lr; $i++) {
        if ($wynik[$i][3]==0) {
          echo '<span style="color: #ffc">('.$lp.') '.$wynik[$i][4].' - '.oblicz_czas($wynik[$i][1]).'&nbsp;&nbsp;&nbsp;&nbsp;</span>';
          $lp++;
        }
      }
    }
    if ($status>2) {
      $tcag = oblicz_czas($ls_1+$ls_2);  //czas wizyt asystentow oraz gosci
      echo '<br /><br /><p style="font-size: 1em; color: #4F4">Czas wejść Asystentów oraz Gości na Platformę: '.$tcag.'</p>';
      echo '<span style="font-size: 1em; color: #4F4">Czas wejść Asystenta oraz Gościa na Platformę: </span>';
      $lp = 1;
      for ($i=0; $i<$lr; $i++) {
        if ($wynik[$i][3]>0) {
          echo '<span style="color: #ffc">('.$lp.') '.$wynik[$i][4].' - '.oblicz_czas($wynik[$i][1]).'&nbsp;&nbsp;&nbsp;&nbsp;</span>';
          $lp++;
        }
      }
    }
    
    echo '</div>';
    //-------------------------------------------
    
    if ($status>0) {
    $wynik_pobierz = mysqli_query($db, $zapb1);
    $wynik = array();
    while ($wiersz = mysqli_fetch_row($wynik_pobierz)) 
      {
        $wynik[] = $wiersz;
      }    
    $lr=count($wynik);  
    echo '<div id="panel_info_user">';
      echo '<div id="box_signl">';
      echo '</div>';
      echo '<div id="box_signr">';
      echo '</div>';
      echo '<span style="font-size: 1.2em; color: #FF2">Liczba dodanych przez uczestników wpisów oraz komentarzy</span><br />';
      echo '<br /><span style="font-size: 1em; color: #4F4">Wpisy: </span>';
      for ($i=0; $i<$lr; $i++) {
        if ($wynik[$i][0]==0) {
          echo '<span style="color: #ffc">'.$wynik[$i][2].' - '.$wynik[$i][1].'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>';
        }
      }
      $wynik_pobierz = mysqli_query($db, $zapb2);
      $wynik = array();
      while ($wiersz = mysqli_fetch_row($wynik_pobierz)) 
        {
          $wynik[] = $wiersz;
        }    
      $lr=count($wynik);  
      echo '<br /><br /><span style="font-size: 1em; color: #4F4">Komentarze: </span>';
      for ($i=0; $i<$lr; $i++) {
        if ($wynik[$i][0]==0) {
          echo '<span style="color: #ffc">'.$wynik[$i][2].' - '.$wynik[$i][1].'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>';
        }
      }
    echo '</div>';
    }
    //-------------------------------------------
    
    
    if ($status>1) {
    $wynik_pobierz = mysqli_query($db, $zapb1);
    $wynik = array();
    while ($wiersz = mysqli_fetch_row($wynik_pobierz)) 
      {
        $wynik[] = $wiersz;
      }    
    $lr=count($wynik);  
    echo '<div id="panel_info_user">';
      echo '<div id="box_signl">';
      echo '</div>';
      echo '<div id="box_signr">';
      echo '</div>';
      echo '<span style="font-size: 1.2em; color: #FF2">Liczba dodanych przez wolontariuszy i asystentów wpisów oraz komentarzy</span><br />';
      echo '<br /><span style="font-size: 1em; color: #4F4">Wpisy: </span>';
      for ($i=0; $i<$lr; $i++) {
        if ($wynik[$i][0]>0) {
          echo '<span style="color: #ffc">'.$wynik[$i][2].' - '.$wynik[$i][1].'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>';
        }
      }
      $wynik_pobierz = mysqli_query($db, $zapb2);
      $wynik = array();
      while ($wiersz = mysqli_fetch_row($wynik_pobierz)) 
        {
          $wynik[] = $wiersz;
        }    
      $lr=count($wynik);  
      echo '<br /><br /><span style="font-size: 1em; color: #4F4">Komentarze: </span>';
      for ($i=0; $i<$lr; $i++) {
        if ($wynik[$i][0]>0) {
          echo '<span style="color: #ffc">'.$wynik[$i][2].' - '.$wynik[$i][1].'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>';
        }
      }
    echo '</div>';
    }
    //-------------------------------------------
    
    
    
    function oblicz_czas($sek) {
    $godz=(int)($sek/3600);
    if ($godz<10) $godz = '0'.$godz;
    $reszta = $sek%3600;
    $min = (int)($reszta/60);
    if ($min<10) $min = '0'.$min;
    $sek = $reszta%60;
    if ($sek<10) $sek = '0'.$sek;
    $tc = $godz.':'.$min.':'.$sek;
    return $tc;
  }    
?>    
      </div>
    </div>
  
    <div id="tab4" class="tab_text">
<?php
      echo '<div id="panel_info_user">';
        echo '<div id="box_signl">';
        echo '</div>';
        echo '<div id="box_signr">';
        echo '</div>';
        echo '<span style="font-size: 1.2em; color: #FF2">Informacje dot. Platformy "Wirtualny Asystent"</span>';
  ?>
      
      
      <br /><br /><p style="font-size: 0.9em; color: #FFD; text-align: left;">
      Strona powstała w oparciu o HTML, arkusze stylów: CSS, PHP, JavaScript oraz framework jQuery i technologie Ajax. 
      Dodatkowo przy tworzeniu podstron, na których możliwa jest interakcja uczestników w czasie rzeczywistym została użyta
      technologia Node.js, czyli środowisko pozwalające na uruchamianie JavaScript po stronie serwera.<br />
      Portal "Wasznet" wykorzystuje dodatkowy zestaw czcionek oparty na licencji OFL (Open Font License) oraz dwa frameworki
      JavaScript oparte na licencji "Open source". Szczegółowe informacje dotyczące wykorzystanych czcionek oraz frameworków są
      zawarte w pliku Licencje.pdf, który można pobrać pod tym adresem: <a id="info_link" href="pliki/Licencje.pdf" title="Licencje.pdf" onclick="this.target='_blank'">Pobierz</a><br />
      Autorem strony oraz jej admimistratorem jest: Adam Krauze.<br /> 
      Kontakt: sdsgorska7@gmail.com &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;  Strona WWW: <a id="info_link" href="http://www.programista.biz/" onclick="this.target='_blank'">programista.biz</a>
      </p>
      </div>  
    </div>
  </div>
</div>

<script type="text/javascript">

$(document).ready(function(){
  
  /*
  var audio = document.getElementById("audio");
  audio.controls = false;
  audio.addEventListener("timeupdate", calculateProgress, false);
  */
  
        $(".tab_wybrany").fadeIn();

        $(".tab_link3").on("click", function(event){
            event.preventDefault();
            $(".tab_link_wybrany").removeClass("tab_link_wybrany");
            $(this).addClass("tab_link_wybrany");
            var tytul = $(this).attr("title");
      $('.tab_wybrany').animate({
          height: "toggle",
          opacity: "toggle"}, 
          {
          duration: 500,
          easing: 'easeOutBack',
          complete: function() {
            $(this).removeClass("tab_wybrany");
            $(tytul).addClass("tab_wybrany");
            $(".tab_wybrany").animate({
              height : "toggle", 
              opacity : "toggle"},
              {duration: 1000,
              easing: 'easeOutBounce',}
              );
          }});
        });
    
});
</script>
